Page MenuHomePhabricator

As a user of the Android app I would like to know where to navigate to to use the App Editor Tasks list
Closed, ResolvedPublic1 Story Points

Description

Why are we doing this?

We would like to have a light weight way to communicate to users that they have a new item in their menu

User story

As a user of the Android app I would like to know where to navigate to to use the App Editor Tasks list

Mocks

Design details

Blue dot should appear after the user has unlocked the App Editor Tasks list
Blue dot should be 'dismissed' after the user has opened the App Editor Tasks list for the first time
Blue dot should not appear each time the user unlocks a new type of task

Event Timeline

cmadeo created this task.Nov 14 2018, 4:14 PM
cmadeo updated the task description. (Show Details)Nov 14 2018, 9:17 PM

Change 475970 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] [WIP] Add edit tasks menu option

https://gerrit.wikimedia.org/r/475970

@cmadeo @schoenbaechler Could I please get the image for menu icon, for 'App editor tasks' option.

cmadeo added a comment.Dec 3 2018, 9:30 PM

@Sharvaniharan, of course. Sorry about that!

np at all! Thank you @cmadeo :)

Will it be possible to give me an svg?

RHo added a comment.Dec 3 2018, 9:37 PM

hi @Sharvaniharan @cmadeo - apologies it should have been an asset in Zeplin but here it is in SVG form

RHo added a comment.Dec 3 2018, 9:38 PM

+Vector Drawable version

Thanks @RHo... I also saw there was an option to convert pdf to svg... but thanks for this :)

@RHo @cmadeo so which of the two images should i use? the pdf which Carolyn gave [ i have converted it to svg], or the one Rita gave now? They are different.

RHo added a comment.Dec 3 2018, 9:48 PM

hi @Sharvaniharan @cmadeo - please use the one I provided – it is the same, but just uses the standard black color icon in the 24x24dp size for Android icons.

oh i see that now... for some weird reason it looks different in the browser.. thank you ..

Change 475970 merged by jenkins-bot:
[apps/android/wikipedia@master] Add edit tasks menu option

https://gerrit.wikimedia.org/r/475970

Works and looks as designed. Moving it to the “Ready for signoff“ column. In case we get explicit feedback from the user tests to put more emphasize on the menu item in additional form, I’ll create a new Phab task.

Dbrant closed this task as Resolved.Mar 6 2019, 7:11 PM